Index: inc/core/class.dc.rs.extensions.php
===================================================================
--- inc/core/class.dc.rs.extensions.php	(revision 912)
+++ inc/core/class.dc.rs.extensions.php	(revision 776)
@@ -165,14 +165,4 @@
 	{
 		return $rs->nb_trackback > 0;
-	}
-
-	/**
-	Returns whether post has been updated since publication.
-
-	@return <b>boolean</b>
-	*/
-	public static function isRepublished($rs)
-	{
-		return ($rs->getTS('upddt') + dt::getTimeOffset($rs->post_tz)) > $rs->getTS();
 	}
 	
Index: inc/core/class.dc.settings.php
===================================================================
--- inc/core/class.dc.settings.php	(revision 934)
+++ inc/core/class.dc.settings.php	(revision 301)
@@ -92,51 +92,4 @@
 		return $this->namespaces[$ns];
 	}
-
-	/**
-	Rename a namespace.
-
-	@param	oldNs 	<b>string</b> 	Old namespace name
-	@param	newNs 	<b>string</b> 	New namespace name
-	@return 	<b>boolean</b>
-	*/
-	public function renNamespace($oldNs,$newNs)
-	{
-		if (!array_key_exists($oldNs, $this->namespaces) || array_key_exists($newNs, $this->namespaces)) {
-			return false;
-		}
-
-		// Rename the namespace in the namespace array
-		$this->namespaces[$newNs] = $this->namespaces[$oldNs];
-		unset($this->namespaces[$oldNs]);
-
-		// Rename the namespace in the database
-		$strReq = 'UPDATE '.$this->table.
-			" SET setting_ns = '".$this->con->escape($newNs)."' ".
-			" WHERE setting_ns = '".$this->con->escape($oldNs)."' ";
-		$this->con->execute($strReq);
-		return true;
-	}
-
-	/**
-	Delete a whole namespace with all settings pertaining to it.
-
-	@param 	ns 	<b>string</b> 	Namespace name
-	@return 	<b>boolean</b>
-	*/
-	public function delNamespace($ns)
-	{
-		if (!array_key_exists($ns, $this->namespaces)) {
-			return false;
-		}
-
-		// Remove the namespace from the namespace array
-		unset($this->namespaces[$ns]);
-
-		// Delete all settings from the namespace in the database
-		$strReq = 'DELETE FROM '.$this->table.
-			" WHERE setting_ns = '".$this->con->escape($ns)."' ";
-		$this->con->execute($strReq);
-		return true;
-	}
 	
 	/**
Index: inc/core/class.dc.workspace.php
===================================================================
--- inc/core/class.dc.workspace.php	(revision 934)
+++ inc/core/class.dc.workspace.php	(revision 147)
@@ -263,34 +263,4 @@
 		}
 	}
-
-	/**
-	Rename an existing pref in a Workspace
-
-	@param 	$oldId 	<b>string</b> 	Current pref name
-	@param 	$newId 	<b>string</b> 	New pref name
-	@return 	<b>boolean</b>
-	*/
-	public function rename($oldId,$newId)
-	{
-		if (!$this->ws) {
-			throw new Exception(__('No workspace specified'));
-		}
-		
-		if (!array_key_exists($oldId,$this->prefs) || array_key_exists($newId,$this->prefs)) {
-			return false;
-		}
-
-		// Rename the pref in the prefs array
-		$this->prefs[$newId] = $this->prefs[$oldId];
-		unset($this->prefs[$oldId]);
-
-		// Rename the pref in the database
-		$strReq = 'UPDATE '.$this->table.
-			" SET pref_id = '".$this->con->escape($newId)."' ".
-			" WHERE pref_ws = '".$this->con->escape($this->ws)."' ".
-			" AND pref_id = '".$this->con->escape($oldId)."' ";
-		$this->con->execute($strReq);
-		return true;
-	}
 	
 	/**
Index: inc/core_error.php
===================================================================
--- inc/core_error.php	(revision 921)
+++ inc/core_error.php	(revision 270)
@@ -12,5 +12,4 @@
 
 header('Content-Type: text/html; charset=utf-8');
-header("HTTP/1.0 ".$code." ".$summary);
 ?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
Index: inc/dbschema/db-schema.php
===================================================================
--- inc/dbschema/db-schema.php	(revision 919)
+++ inc/dbschema/db-schema.php	(revision 407)
@@ -164,5 +164,5 @@
 	->log_dt		('timestamp',	0,	false,	'now()')
 	->log_ip		('varchar',	39,	false)
-	->log_msg		('text',	0,	true,	null)
+	->log_msg		('varchar',	255,	false)
 	
 	->primary('pk_log','log_id')
Index: inc/dbschema/upgrade-cli.php
===================================================================
--- inc/dbschema/upgrade-cli.php	(revision 838)
+++ inc/dbschema/upgrade-cli.php	(revision 270)
@@ -36,5 +36,5 @@
 	$core->con->begin();
 	try {
-		$changes = dotclearUpgrade($core);
+		$changes = dotclearUpgrade(&$core);
 	} catch (Exception $e) {
 		$core->con->rollback();
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 801)
+++ inc/prepend.php	(revision 782)
@@ -55,8 +55,16 @@
 $__autoload['dcPage']				= dirname(__FILE__).'/admin/lib.dc.page.php';
 $__autoload['adminGenericList']		= dirname(__FILE__).'/admin/lib.pager.php';
-$__autoload['adminPostList']			= dirname(__FILE__).'/admin/lib.pager.php';
-$__autoload['adminPostMiniList']		= dirname(__FILE__).'/admin/lib.pager.php';
-$__autoload['adminCommentList']		= dirname(__FILE__).'/admin/lib.pager.php';
-$__autoload['adminUserList']			= dirname(__FILE__).'/admin/lib.pager.php';
+$__autoload['adminItemsList']			= dirname(__FILE__).'/admin/class.dc.list.php';
+$__autoload['adminPostList']			= dirname(__FILE__).'/admin/class.dc.list.php';
+$__autoload['adminPostMiniList']		= dirname(__FILE__).'/admin/class.dc.list.php';
+$__autoload['adminCommentList']		= dirname(__FILE__).'/admin/class.dc.list.php';
+$__autoload['adminUserList']			= dirname(__FILE__).'/admin/class.dc.list.php';
+$__autoload['adminBlogList']			= dirname(__FILE__).'/admin/class.dc.list.php';
+$__autoload['adminBlogPermissionsList']	= dirname(__FILE__).'/admin/class.dc.list.php';
+$__autoload['dcFilterSet']			= dirname(__FILE__).'/admin/class.dc.filter.php';
+$__autoload['dcFilter']				= dirname(__FILE__).'/admin/class.dc.filter.php';
+$__autoload['textFilter']				= dirname(__FILE__).'/admin/class.dc.filter.php';
+$__autoload['comboFilter']				= dirname(__FILE__).'/admin/class.dc.filter.php';
+$__autoload['dcFilterExtraInterface']				= dirname(__FILE__).'/admin/class.dc.filter.php';
 
 $__autoload['dcTemplate']			= dirname(__FILE__).'/public/class.dc.template.php';
@@ -123,5 +131,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.5-dev');
+define('DC_VERSION','2.4.0');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
Index: inc/public/class.dc.template.php
===================================================================
--- inc/public/class.dc.template.php	(revision 937)
+++ inc/public/class.dc.template.php	(revision 779)
@@ -85,5 +85,4 @@
 		$this->addValue('CategoryDescription',array($this,'CategoryDescription'));
 		$this->addValue('CategoryTitle',array($this,'CategoryTitle'));
-		$this->addValue('CategoryEntriesCount',array($this,'CategoryEntriesCount'));
 		
 		# Comments
@@ -206,7 +205,4 @@
 		$this->addValue('SysSearchString',array($this,'SysSearchString'));
 		$this->addValue('SysSelfURI',array($this,'SysSelfURI'));
-
-		# Generic
-		$this->addValue('else',array($this,'GenericElse'));
 	}
 	
@@ -392,5 +388,5 @@
 		$p[2] = '0';	# cut_string
 		$p[3] = '0';	# lower_case
-		$p[4] = '0';	# upper_case or capitalize
+		$p[4] = '0';	# upper_case
 		
 		$p[0] = (integer) (!empty($attr['encode_xml']) || !empty($attr['encode_html']));
@@ -403,5 +399,4 @@
 		$p[3] = (integer) !empty($attr['lower_case']);
 		$p[4] = (integer) !empty($attr['upper_case']);
-		$p[4] = (!empty($attr['capitalize']) ? 2 : $p[4]);
 		
 		return "context::global_filter(%s,".implode(",",$p).",'".addslashes($this->current_tag)."')";
@@ -492,5 +487,5 @@
 	}
 	
-	public static function getAge($attr)
+	public function getAge($attr)
 	{
 		if (isset($attr['age']) && preg_match('/^(\-[0-9]+|last).*$/i',$attr['age'])) {
@@ -577,7 +572,5 @@
 		$res = "<?php\n";
 		$res .= $p;
-		$res .= $this->core->callBehavior("templatePrepareParams", 
-			array("tag" => "Archives","method" => "blog::getDates"), 
-			$attr,$content);
+		$res .= $this->core->callBehavior("templatePrepareParams","Archives", $attr,$content);
 		$res .= '$_ctx->archives = $core->blog->getDates($params); unset($params);'."\n";
 		$res .= "?>\n";
@@ -687,7 +680,5 @@
 		$res = "<?php\n";
 		$res .= $p;
-		$res .= $this->core->callBehavior("templatePrepareParams",
-			array("tag" => "ArchiveNext","method" => "blog::getDates"), 
-			$attr, $content);
+		$res .= $this->core->callBehavior("templatePrepareParams","ArchiveNext", $attr, $content);
 		$res .= '$_ctx->archives = $core->blog->getDates($params); unset($params);'."\n";
 		$res .= "?>\n";
@@ -726,7 +717,5 @@
 		
 		$res = "<?php\n";
-		$res .= $this->core->callBehavior("templatePrepareParams",
-			array("tag" => "ArchivePrevious","method" => "blog::getDates"), 
-			$attr, $content);
+		$res .= $this->core->callBehavior("templatePrepareParams","ArchivePrevious", $attr, $content);
 		$res .= $p;
 		$res .= '$_ctx->archives = $core->blog->getDates($params); unset($params);'."\n";
@@ -951,7 +940,5 @@
 		$res = "<?php\n";
 		$res .= $p;
-		$res .= $this->core->callBehavior("templatePrepareParams", 
-			array("tag" => "Categories","method" => "blog::getCategories"), 
-			$attr,$content);
+		$res .= $this->core->callBehavior("templatePrepareParams","Categories", $attr, $content);
 		$res .= '$_ctx->categories = $core->blog->getCategories($params);'."\n";
 		$res .= "?>\n";
@@ -1101,13 +1088,4 @@
 		$f = $this->getFilters($attr);
 		return '<?php echo '.sprintf($f,'$_ctx->categories->cat_title').'; ?>';
-	}
-
-	/*dtd
-	<!ELEMENT tpl:CategoryEntriesCount - O -- Category number of entries -->
-	*/
-	public function CategoryEntriesCount($attr)
-	{
-		$f = $this->getFilters($attr);
-		return '<?php echo '.sprintf($f,'$_ctx->categories->nb_post').'; ?>';
 	}
 	
@@ -1232,7 +1210,5 @@
 		$res = "<?php\n";
 		$res .= $p;
-		$res .= $this->core->callBehavior("templatePrepareParams", 
-			array("tag" => "Entries","method" => "blog::getPosts"), 
-			$attr,$content);
+		$res .= $this->core->callBehavior("templatePrepareParams","Entries",$attr,$content);
 		$res .= '$_ctx->post_params = $params;'."\n";
 		$res .= '$_ctx->posts = $core->blog->getPosts($params); unset($params);'."\n";
@@ -1283,5 +1259,4 @@
 	show_comments	(0|1)	#IMPLIED	-- there are comments for this post (value : 1) or not (value : 0)
 	show_pings	(0|1)	#IMPLIED	-- there are trackbacks for this post (value : 1) or not (value : 0)
-	republished	(0|1)	#IMPLIED	-- post has been updated since publication (value : 1) or not (value : 0)
 	operator	(and|or)	#IMPLIED	-- combination of conditions, if more than 1 specifiec (default: and)
 	url		CDATA	#IMPLIED	-- post has given url
@@ -1383,9 +1358,4 @@
 		}
 		
-		if (isset($attr['republished'])) {
-			$sign = (boolean) $attr['republished'] ? '' : '!';
-			$if[] = $sign.'(boolean)$_ctx->posts->isRepublished()';
-		}
-		
 		$this->core->callBehavior('tplIfConditions','EntryIf',$attr,$content,$if);
 		
@@ -1621,7 +1591,4 @@
 	class		CDATA		#IMPLIED	-- Class to add on image tag
 	with_category	(1|0)		#IMPLIED	-- Search in entry category description if present (default 0)
-	no_tag	(1|0)	#IMPLIED	-- Return image URL without HTML tag (default 0)
-	content_only	(1|0)		#IMPLIED	-- Search in content entry only, not in excerpt (default 0)
-	cat_only	(1|0)		#IMPLIED	-- Search in category description only (default 0)
 	>
 	*/
@@ -1630,11 +1597,7 @@
 		$size = !empty($attr['size']) ? $attr['size'] : '';
 		$class = !empty($attr['class']) ? $attr['class'] : '';
-		$with_category = !empty($attr['with_category']) ? 1 : 0;
-		$no_tag = !empty($attr['no_tag']) ? 1 : 0;
-		$content_only = !empty($attr['content_only']) ? 1 : 0;
-		$cat_only = !empty($attr['cat_only']) ? 1 : 0;
-		
-		return "<?php echo context::EntryFirstImageHelper('".addslashes($size)."',".$with_category.",'".addslashes($class)."',".
-			$no_tag.",".$content_only.",".$cat_only."); ?>";
+		$with_category = !empty($attr['with_category']) ? 'true' : 'false';
+		
+		return "<?php echo context::EntryFirstImageHelper('".addslashes($size)."',".$with_category.",'".addslashes($class)."'); ?>";
 	}
 	
@@ -1917,7 +1880,5 @@
 		$res = "<?php\n";
 		$res .= $p;
-		$res .= $this->core->callBehavior("templatePrepareParams", 
-			array("tag" => "Languages","method" => "blog::getLangs"), 
-			$attr,$content);
+		$res .= $this->core->callBehavior("templatePrepareParams","Languages",$attr,$content);
 		$res .= '$_ctx->langs = $core->blog->getLangs($params); unset($params);'."\n";
 		$res .= "?>\n";
@@ -1994,7 +1955,4 @@
 		$p = "<?php\n";
 		$p .= '$params = $_ctx->post_params;'."\n";
-		$p .= $this->core->callBehavior("templatePrepareParams", 
-			array("tag" => "Pagination","method" => "blog::getPosts"), 
-			$attr,$content);
 		$p .= '$_ctx->pagination = $core->blog->getPosts($params,true); unset($params);'."\n";
 		$p .= "?>\n";
@@ -2006,4 +1964,5 @@
 		return
 			$p.
+			$this->core->callBehavior("templatePrepareParams","Pagination",$attr,$content).
 			'<?php if ($_ctx->pagination->f(0) > $_ctx->posts->count()) : ?>'.
 			$content.
@@ -2145,7 +2104,5 @@
 		
 		$res = "<?php\n";
-		$res .= $this->core->callBehavior("templatePrepareParams", 
-			array("tag" => "Comments","method" => "blog::getComments"), 
-			$attr,$content);
+		$res .= $this->core->callBehavior("templatePrepareParams","Comments",$attr,$content);
 		$res .= $p;
 		$res .= '$_ctx->comments = $core->blog->getComments($params); unset($params);'."\n";
@@ -2747,7 +2704,5 @@
 		$res = "<?php\n";
 		$res .= $p;
-		$res .= $this->core->callBehavior("templatePrepareParams", 
-			array("tag" => "Pings","method" => "blog::getComments"), 
-			$attr,$content);
+		$res .= $this->core->callBehavior("templatePrepareParams","Pings",$attr,$content);
 		$res .= '$_ctx->pings = $core->blog->getComments($params); unset($params);'."\n";
 		$res .= "if (\$_ctx->posts !== null) { \$core->blog->withoutPassword(true);}\n";
@@ -2829,5 +2784,5 @@
 	current_mode		CDATA	#IMPLIED	-- tests if current URL mode is the one given in parameter
 	has_tpl			CDATA     #IMPLIED  -- tests if a named template exists
-	has_tag			CDATA     #IMPLIED  -- tests if a named template block or value exists
+	has_tag			CDATA     #IMPLIED  -- tests if a named template tag exists (see Tag plugin for code)
 	blog_id			CDATA     #IMPLIED  -- tests if current blog ID is the one given in parameter
 	comments_active	(0|1)	#IMPLIED	-- test if comments are enabled blog-wide 
@@ -2885,13 +2840,4 @@
 		}
 		
-		if (isset($attr['has_tag'])) {
-			$sign = 'true';
-			if (substr($attr['has_tag'],0,1) == '!') {
-				$sign = 'false';
-				$attr['has_tag'] = substr($attr['has_tag'],1);
-			}
-			$if[] =  "\$core->tpl->tagExists('".addslashes($attr['has_tag'])."') === ".$sign;
-		}
-		
 		if (isset($attr['blog_id'])) {
 			$sign = '';
@@ -3001,12 +2947,4 @@
 		$f = $this->getFilters($attr);
 		return '<?php echo '.sprintf($f,'http::getSelfURI()').'; ?>';
-	}
-
-	/*dtd
-	<!ELEMENT tpl:else - O -- else: statement -->
-	*/
-	public function GenericElse($attr)
-	{
-		return '<?php else: ?>';
 	}
 }
Index: inc/public/lib.tpl.context.php
===================================================================
--- inc/public/lib.tpl.context.php	(revision 975)
+++ inc/public/lib.tpl.context.php	(revision 772)
@@ -127,9 +127,5 @@
 			$str = self::lower_case($str);
 		} elseif ($upper_case) {
-			if ($upper_case == 2) {
-				$str = self::capitalize($str);
-			} else {
-				$str = self::upper_case($str);
-			}
+			$str = self::upper_case($str);
 		}
 		
@@ -164,12 +160,4 @@
 	{
 		return mb_strtoupper($str);
-	}
-
-	public static function capitalize($str)
-	{
-		if ($str != '') {
-		   $str[0] = mb_strtoupper($str[0]);
-		}
-		return $str;
 	}
 	
@@ -348,69 +336,10 @@
 			return $str;
 		}
-
-		# Process part adapted from SmartyPants engine (J. Gruber et al.) :
-
-		$tokens = self::tokenizeHTML($str);
-		$result = '';
-		$in_pre = 0;  # Keep track of when we're inside <pre> or <code> tags.
-
-		foreach ($tokens as $cur_token) {
-			if ($cur_token[0] == "tag") {
-				# Don't mess with quotes inside tags.
-				$result .= $cur_token[1];
-				if (preg_match('@<(/?)(?:pre|code|kbd|script|math)[\s>]@', $cur_token[1], $matches)) {
-					$in_pre = isset($matches[1]) && $matches[1] == '/' ? 0 : 1;
-				}
-			} else {
-				$t = $cur_token[1];
-				if (!$in_pre) {
-					$t = preg_replace(array_keys($GLOBALS['__smilies']),array_values($GLOBALS['__smilies']),$t);
-				}
-				$result .= $t;
-			}
-		}
-
-		return $result;
-	}
-
-	private static function tokenizeHTML($str)
-	{
-		# Function from SmartyPants engine (J. Gruber et al.)
-		#
-		#   Parameter:  String containing HTML markup.
-		#   Returns:    An array of the tokens comprising the input
-		#               string. Each token is either a tag (possibly with nested,
-		#               tags contained therein, such as <a href="<MTFoo>">, or a
-		#               run of text between tags. Each element of the array is a
-		#               two-element array; the first is either 'tag' or 'text';
-		#               the second is the actual value.
-		#
-		#
-		#   Regular expression derived from the _tokenize() subroutine in 
-		#   Brad Choate's MTRegex plugin.
-		#   <http://www.bradchoate.com/past/mtregex.php>
-		#
-		$index = 0;
-		$tokens = array();
-
-		$match = '(?s:<!(?:--.*?--\s*)+>)|'.	# comment
-				 '(?s:<\?.*?\?>)|'.				# processing instruction
-												# regular tags
-				 '(?:<[/!$]?[-a-zA-Z0-9:]+\b(?>[^"\'>]+|"[^"]*"|\'[^\']*\')*>)'; 
-
-		$parts = preg_split("{($match)}", $str, -1, PREG_SPLIT_DELIM_CAPTURE);
-
-		foreach ($parts as $part) {
-			if (++$index % 2 && $part != '') 
-				$tokens[] = array('text', $part);
-			else
-				$tokens[] = array('tag', $part);
-		}
-		return $tokens;
-	}
-
-
+		
+		return preg_replace(array_keys($GLOBALS['__smilies']),array_values($GLOBALS['__smilies']),$str);
+	}
+	
 	# First post image helpers
-	public static function EntryFirstImageHelper($size,$with_category,$class="",$no_tag=false,$content_only=false,$cat_only=false)
+	public static function EntryFirstImageHelper($size,$with_category,$class="")
 	{
 		global $core, $_ctx;
@@ -426,5 +355,5 @@
 		
 		$pattern = '(?:'.preg_quote($p_site,'/').')?'.preg_quote($p_url,'/');
-		$pattern = sprintf('/<img.+?src="%s(.*?\.(?:jpg|jpeg|gif|png))"[^>]+/msui',$pattern);
+		$pattern = sprintf('/<img.+?src="%s(.*?\.(?:jpg|jpeg|gif|png))"[^>]+/msu',$pattern);
 		
 		$src = '';
@@ -432,13 +361,12 @@
 		
 		# We first look in post content
-		if (!$cat_only && $_ctx->posts)
-		{
-			$subject = ($content_only ? '' : $_ctx->posts->post_excerpt_xhtml).$_ctx->posts->post_content_xhtml;
+		if ($_ctx->posts)
+		{
+			$subject = $_ctx->posts->post_excerpt_xhtml.$_ctx->posts->post_content_xhtml.$_ctx->posts->cat_desc;
 			if (preg_match_all($pattern,$subject,$m) > 0)
 			{
 				foreach ($m[1] as $i => $img) {
 					if (($src = self::ContentFirstImageLookup($p_root,$img,$size)) !== false) {
-						$dirname = str_replace('\\', '/', dirname($img)); 
-						$src = $p_url.($dirname != '/' ? $dirname : '').'/'.$src;
+						$src = $p_url.(dirname($img) != '/' ? dirname($img) : '').'/'.$src;
 						if (preg_match('/alt="([^"]+)"/',$m[0][$i],$malt)) {
 							$alt = $malt[1];
@@ -457,6 +385,5 @@
 				foreach ($m[1] as $i => $img) {
 					if (($src = self::ContentFirstImageLookup($p_root,$img,$size)) !== false) {
-						$dirname = str_replace('\\', '/', dirname($img)); 
-						$src = $p_url.($dirname != '/' ? $dirname : '').'/'.$src;
+						$src = $p_url.(dirname($img) != '/' ? dirname($img) : '').'/'.$src;
 						if (preg_match('/alt="([^"]+)"/',$m[0][$i],$malt)) {
 							$alt = $malt[1];
@@ -469,9 +396,5 @@
 		
 		if ($src) {
-			if ($no_tag) {
-				return $src;
-			} else {
-				return '<img alt="'.$alt.'" src="'.$src.'" class="'.$class.'" />';
-			}
+			return '<img alt="'.$alt.'" src="'.$src.'" class="'.$class.'" />';
 		}
 	}
@@ -509,12 +432,4 @@
 			} elseif (file_exists($f.'.gif')) {
 				$res = $base.'.gif';
-			} elseif (file_exists($f.'.JPG')) {
-				$res = $base.'.JPG';
-			} elseif (file_exists($f.'.JPEG')) {
-				$res = $base.'.JPEG';
-			} elseif (file_exists($f.'.PNG')) {
-				$res = $base.'.PNG';
-			} elseif (file_exists($f.'.GIF')) {
-				$res = $base.'.GIF';
 			}
 		}
Index: inc/public/prepend.php
===================================================================
--- inc/public/prepend.php	(revision 921)
+++ inc/public/prepend.php	(revision 420)
@@ -33,5 +33,5 @@
 				__('The following error was encountered while trying to read the database:').'</p><ul><li>'.$e->getMessage().'</li></ul>' :
 				__('Something went wrong while trying to read the database.')
-			,620);
+			,20);
 	}
 }
@@ -40,5 +40,5 @@
 	__error(__('Blog is not defined.')
 		,__('Did you change your Blog ID?')
-		,630);
+		,30);
 }
 
@@ -47,5 +47,5 @@
 	__error(__('Blog is offline.')
 		,__('This blog is offline. Please try again later.')
-		,670);
+		,70);
 }
 
@@ -62,5 +62,5 @@
 	__error(__('Can\'t create template files.')
 		,$e->getMessage()
-		,640);
+		,40);
 }
 
@@ -107,5 +107,5 @@
 		'path in your blog configuration. Please check theme_path value in '.
 		'about:config module or reinstall default theme. ('.$__theme.')')
-		,650);
+		,50);
 }
 
@@ -152,5 +152,5 @@
 	__error($e->getMessage()
 		,__('Something went wrong while loading template file for your blog.')
-		,660);
+		,60);
 }
 ?>
Index: locales/po_update.sh
===================================================================
--- locales/po_update.sh	(revision 959)
+++ locales/po_update.sh	(revision 750)
@@ -172,5 +172,5 @@
 	find $PO_MODULE -name '*.html' -exec grep -o '{{tpl:lang [^}]*}}' {} \; | sed 's/{{tpl:lang \(.*\)}}$/__\("\1")/' | sort -u \
 		>> $PO_MODULE/__html_tpl_dummy.php
-	sed -i "" 's/\$/\\\$/g' $PO_MODULE/__html_tpl_dummy.php 
+	sed -i 's/\$/\\\$/g' $PO_MODULE/__html_tpl_dummy.php 
 	
 	find $PO_MODULE -name '*.php' -print | \
Index: plugins/aboutConfig/_define.php
===================================================================
--- plugins/aboutConfig/_define.php	(revision 967)
+++ plugins/aboutConfig/_define.php	(revision 589)
@@ -16,5 +16,5 @@
 	/* Description*/		"Manage every blog configuration directive",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'0.5'
+	/* Version */			'0.4'
 );
 ?>
Index: plugins/aboutConfig/index.php
===================================================================
--- plugins/aboutConfig/index.php	(revision 907)
+++ plugins/aboutConfig/index.php	(revision 782)
@@ -121,9 +121,9 @@
 <?php
 if (!empty($_GET['upd'])) {
-	dcPage::message(__('Configuration successfully updated'));
+	echo '<p class="message">'.__('Configuration successfully updated').'</p>';
 }
 
 if (!empty($_GET['upda'])) {
-	dcPage::message(__('Settings definition successfully updated'));
+	echo '<p class="message">'.__('Settings definition successfully updated').'</p>';
 }
 ?>
@@ -132,5 +132,5 @@
 <div id="local" class="multi-part" title="<?php echo __('blog settings'); ?>">
 
-<?php 
+<?php
 $table_header = '<table class="settings" id="%s"><caption>%s</caption>'.
 '<thead>'.
@@ -146,4 +146,5 @@
 
 $settings = array();
+
 foreach ($core->blog->settings->dumpNamespaces() as $ns => $namespace) {
 	foreach ($namespace->dumpSettings() as $k => $v) {
Index: plugins/antispam/_define.php
===================================================================
--- plugins/antispam/_define.php	(revision 967)
+++ plugins/antispam/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Generic antispam plugin for Dotclear",
 	/* Author */			"Alain Vagner",
-	/* Version */			'1.4',
+	/* Version */			'1.3.1',
 	array(
 		'permissions' =>	'usage,contentadmin',
Index: plugins/antispam/_prepend.php
===================================================================
--- plugins/antispam/_prepend.php	(revision 920)
+++ plugins/antispam/_prepend.php	(revision 270)
@@ -24,5 +24,5 @@
 $__autoload['dcFilterWords'] = dirname(__FILE__).'/filters/class.dc.filter.words.php';
 
-$core->spamfilters = array('dcFilterIP','dcFilterIpLookup','dcFilterWords','dcFilterLinksLookup');
+$core->spamfilters = array('dcFilterIP','dcFilterWords','dcFilterIpLookup','dcFilterLinksLookup');
 
 $core->url->register('spamfeed','spamfeed','^spamfeed/(.+)$',array('dcAntispamURL','spamFeed'));
Index: plugins/antispam/filters/class.dc.filter.ip.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.ip.php	(revision 907)
+++ plugins/antispam/filters/class.dc.filter.ip.php	(revision 782)
@@ -103,8 +103,8 @@
 
 		if (!empty($_GET['added'])) {
-			$res .= dcPage::message(__('IP address has been successfully added.'),true,false,false);
+			$res .= '<p class="message">'.__('IP address has been successfully added.').'</p>';
 		}
 		if (!empty($_GET['removed'])) {
-			$res .= dcPage::message(__('IP addresses have been successfully removed.'),true,false,false);
+			$res .= '<p class="message">'.__('IP addresses have been successfully removed.').'</p>';
 		}
 
@@ -130,5 +130,5 @@
 		if ($core->auth->isSuperAdmin()) {
 			$res .= '<label class="classic" for="globalip_'.$type.'">'.form::checkbox(array('globalip', 'globalip_'.$type),1).' '.
-			__('Global IP (used for all blogs)').'</label> ';
+			__('Global IP').'</label> ';
 		}
 
@@ -152,6 +152,4 @@
 			'<div style="'.$this->style_list.'">';
 
-			$res_global = '';
-			$res_local = '';
 			while ($rs->fetch())
 			{
@@ -168,26 +166,10 @@
 				}
 
-				$item =
+				$res .=
 				'<p style="'.$p_style.'"><label class="classic" for="'.$type.'-ip-'.$rs->rule_id.'">'.
 				form::checkbox(array('delip[]',$type.'-ip-'.$rs->rule_id),$rs->rule_id,false,'','',$disabled_ip).' '.
 				html::escapeHTML($pattern).
 				'</label></p>';
-
-				if ($rs->blog_id) {
-					// local list
-					if ($res_local == '') {
-						$res_local = '<h4>'.__('Local IPs (used only for this blog)').'</h4>';
-					}
-					$res_local .= $item;
-				} else {
-					// global list
-					if ($res_global == '') {
-						$res_global = '<h4>'.__('Global IPs (used for all blogs)').'</h4>';
-					}
-					$res_global .= $item;
-				}
-			}
-			$res .= $res_local.$res_global;
-
+			}
 			$res .=
 			'</div>'.
Index: plugins/antispam/filters/class.dc.filter.linkslookup.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.linkslookup.php	(revision 913)
+++ plugins/antispam/filters/class.dc.filter.linkslookup.php	(revision 270)
@@ -43,20 +43,12 @@
 				continue;
 			}
-
-			$domain = preg_replace('/^[\w]{2,6}:\/\/([\w\d\.\-]+).*$/','$1',$b['host']);
-			$domain_elem = explode(".",$domain);
-
-			$i = count($domain_elem) - 1;
-			$host = $domain_elem[$i];
-			do
-			{
-				$host = $domain_elem[$i - 1].'.'.$host;
-				$i--;
-				if (substr(gethostbyname($host.'.'.$this->server),0,3) == "127" ) 
-				{
-					$status = substr($domain,0,128);
-					return true;
-				}				
-			} while ($i > 0);
+			
+			$domain = preg_replace('/^(.*\.)([^.]+\.[^.]+)$/','$2',$b['host']);
+			$host = $domain.'.'.$this->server;
+			
+			if (gethostbyname($host) != $host) {
+				$status = substr($domain,0,128);
+				return true;
+			}
 		}
 	}
Index: plugins/antispam/filters/class.dc.filter.words.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.words.php	(revision 907)
+++ plugins/antispam/filters/class.dc.filter.words.php	(revision 536)
@@ -109,11 +109,11 @@
 
 		if (!empty($_GET['list'])) {
-			$res .= dcPage::message(__('Words have been successfully added.'),true,false,false);
+			$res .= '<p class="message">'.__('Words have been successfully added.').'</p>';
 		}
 		if (!empty($_GET['added'])) {
-			$res .= dcPage::message(__('Word has been successfully added.'),true,false,false);
+			$res .= '<p class="message">'.__('Word has been successfully added.').'</p>';
 		}
 		if (!empty($_GET['removed'])) {
-			$res .= dcPage::message(__('Words have been successfully removed.'),true,false,false);
+			$res .= '<p class="message">'.__('Words have been successfully removed.').'</p>';
 		}
 
@@ -124,5 +124,5 @@
 		if ($core->auth->isSuperAdmin()) {
 			$res .= '<label class="classic" for="globalsw">'.form::checkbox('globalsw',1).' '.
-			__('Global word (used for all blogs)').'</label> ';
+			__('Global word').'</label> ';
 		}
 
@@ -145,6 +145,4 @@
 			'<div style="'.$this->style_list.'">';
 
-			$res_global = '';
-			$res_local = '';
 			while ($rs->fetch())
 			{
@@ -156,24 +154,10 @@
 				}
 
-				$item = '<p style="'.$p_style.'"><label class="classic" for="word-'.$rs->rule_id.'">'.
-					form::checkbox(array('swd[]', 'word-'.$rs->rule_id),$rs->rule_id,false,'','',$disabled_word).' '.
-					html::escapeHTML($rs->rule_content).
-					'</label></p>';
-
-				if ($rs->blog_id) {
-					// local list
-					if ($res_local == '') {
-						$res_local = '<h4>'.__('Local words (used only for this blog)').'</h4>';
-					}
-					$res_local .= $item;
-				} else {
-					// global list
-					if ($res_global == '') {
-						$res_global = '<h4>'.__('Global words (used for all blogs)').'</h4>';
-					}
-					$res_global .= $item;
-				}
-			}
-			$res .= $res_local.$res_global;
+				$res .=
+				'<p style="'.$p_style.'"><label class="classic" for="word-'.$rs->rule_id.'">'.
+				form::checkbox(array('swd[]', 'word-'.$rs->rule_id),$rs->rule_id,false,'','',$disabled_word).' '.
+				html::escapeHTML($rs->rule_content).
+				'</label></p>';
+			}
 
 			$res .=
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 907)
+++ plugins/antispam/index.php	(revision 782)
@@ -99,5 +99,5 @@
 <html>
 <head>
-  <title><?php echo ($filter_gui !== false ? sprintf(__('%s configuration'),$filter->name).' - ' : '').$page_name; ?></title>
+  <title><?php echo $page_name; ?></title>
   <?php
   echo
@@ -121,5 +121,4 @@
 {
 	echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <span class="page-title">'.$page_name.'</span></h2>';
-
 	# Information
 	$spam_count = dcAntispam::countSpam($core);
@@ -132,5 +131,5 @@
 
 	if (!empty($_GET['del'])) {
-		dcPage::message(__('Spam comments have been successfully deleted.'));
+		echo '<p class="message">'.__('Spam comments have been successfully deleted.').'</p>';
 	}
 
@@ -163,5 +162,5 @@
 
 	if (!empty($_GET['upd'])) {
-		dcPage::message(__('Filters configuration has been successfully saved.'));
+		echo '<p class="message">'.__('Filters configuration has been successfully saved.').'</p>';
 	}
 
@@ -232,2 +231,3 @@
 </body>
 </html>
+
Index: plugins/attachments/_define.php
===================================================================
--- plugins/attachments/_define.php	(revision 967)
+++ plugins/attachments/_define.php	(revision 464)
@@ -16,7 +16,7 @@
 	/* Description*/	"Manage post attachments",
 	/* Author */		"Dotclear Team",
-	/* Version */		'1.1',
+	/* Version */		'1.0',
 	array(
-		'permissions' =>	'usage,contentadmin,pages',
+		'permissions' =>	'contentadmin,pages',
 		'priority' =>		999
 	)
Index: plugins/attachments/_public.php
===================================================================
--- plugins/attachments/_public.php	(revision 944)
+++ plugins/attachments/_public.php	(revision 464)
@@ -89,5 +89,5 @@
 		$if = array();
 		
-		$operator = isset($attr['operator']) ? dcTemplate::getOperator($attr['operator']) : '&&';
+		$operator = isset($attr['operator']) ? $this->getOperator($attr['operator']) : '&&';
 		
 		if (isset($attr['is_image'])) {
Index: plugins/blogroll/_define.php
===================================================================
--- plugins/blogroll/_define.php	(revision 965)
+++ plugins/blogroll/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Manage your blogroll",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.3',
+	/* Version */			'1.2',
 	array(
 		'permissions' =>	'blogroll'
